// POST https://api.signatureapi.com/v1/envelopes/{envelope_id}/cancel
// X-API-Key: key_test_...
// Content-Type: application/json
{
"reason": "Price renegotiated by John D."
}
// HTTP Status Code 200
{
"id": "55072f0e-b919-4d69-89cd-e7e56af00530",
"title": "Exploration Agreement",
"status": "canceled",
//...
}
Envelopes
Cancel an envelope
Cancel an in-progress envelope to permanently halt the signing process
POST
/
v1
/
envelopes
/
{envelope_id}
/
cancel
// POST https://api.signatureapi.com/v1/envelopes/{envelope_id}/cancel
// X-API-Key: key_test_...
// Content-Type: application/json
{
"reason": "Price renegotiated by John D."
}
// HTTP Status Code 200
{
"id": "55072f0e-b919-4d69-89cd-e7e56af00530",
"title": "Exploration Agreement",
"status": "canceled",
//...
}
Cancels an envelope, immediately halting all signing activity. Once canceled, recipients can no longer access the signing ceremony.
This action is irreversible and permanent.
Only envelopes with status
in_progress can be canceled.Path parameters
uuid
required
The unique identifier of the envelope, in UUID format.
Body parameters
string
An optional explanation for why the envelope was canceled. This is for internal use only and is not shown to recipients. The reason is included in the
envelope.canceled webhook event payload. Maximum 2,000 characters.Returns
Returns a200 OK status code along with an envelope object on success, or an error otherwise.
// POST https://api.signatureapi.com/v1/envelopes/{envelope_id}/cancel
// X-API-Key: key_test_...
// Content-Type: application/json
{
"reason": "Price renegotiated by John D."
}
// HTTP Status Code 200
{
"id": "55072f0e-b919-4d69-89cd-e7e56af00530",
"title": "Exploration Agreement",
"status": "canceled",
//...
}
Was this page helpful?